package com.cringe_studios.christmastreescanning.scanning;

import java.awt.geom.Point2D;
import java.awt.image.BufferedImage;

import com.cringe_studios.christmastreescanning.scanning.image_scanning.ImageScanner;

public class SingleColoredSideScanner extends SideScanner {
	private BufferedImage sideImages[];

	byte gammaDelta = ImageScanner.GAMMA_DELTA_DEFAULT;

	Point2D foundPoints[] = null;

	public SingleColoredSideScanner(BufferedImage[] images, byte gammaDelta) {
		this.sideImages = images;

		this.gammaDelta = gammaDelta;
	}

	// Everything default values
	public SingleColoredSideScanner(BufferedImage[] images) {
		this.sideImages = images;
	}
	
	@Override
	public void scan() {
		int imagesLength = this.sideImages.length;

		foundPoints = new Point2D[imagesLength];

		for (int i = 0; i < imagesLength; i++) {
			//TODO
			//foundPoints[i] = ImageScanner.getBrightestSpot(sideImages[i], this.gammaDelta);
		}
	}
	
	@Override
	public Point2D[] getPoints() {
		return foundPoints;
	}
}
